Package org.lwjgl.opengl

# Class ARBProgramInterfaceQuery

java.lang.Object
org.lwjgl.opengl.ARBProgramInterfaceQuery

public final class ARBProgramInterfaceQuery extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_RESOURCES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_ACTIVE_VARIABLES`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ARRAY_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ARRAY_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BLOCK_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER_BINDING`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER_DATA_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER_VARIABLE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_COMPUTE_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_COMPUTE_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_FRAGMENT_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_FRAGMENT_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_GEOMETRY_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_GEOMETRY_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_IS_PER_PATCH`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_IS_ROW_MAJOR`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_LOCATION`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_LOCATION_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_MATRIX_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_MAX_NAME_LENGTH`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_MAX_NUM_ACTIVE_VARIABLES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_MAX_NUM_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_NAME_LENGTH`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_NUM_ACTIVE_VARIABLES`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_OFFSET`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_PROGRAM_INPUT`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_PROGRAM_OUTPUT`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_REFERENCED_BY_COMPUTE_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_FRAGMENT_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_GEOMETRY_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_VERTEX_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_SHADER_STORAGE_BLOCK`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_CONTROL_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_CONTROL_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_EVALUATION_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_EVALUATION_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TOP_LEVEL_ARRAY_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_TOP_LEVEL_ARRAY_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYING`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TYPE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_UNIFORM_BLOCK`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_VERTEX_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_VERTEX_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetProgramInterface(int program, int programInterface, int pname, IntBuffer params)`
`static int`
`glGetProgramInterfacei(int program, int programInterface, int pname)`
Overloads glGetProgramInterfaceiv.
`static void`
`glGetProgramResource(int program, int programInterface, int index, IntBuffer props, IntBuffer length, IntBuffer params)`
`static int`
`glGetProgramResourceIndex(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceIndex.
`static int`
`glGetProgramResourceIndex(int program, int programInterface, ByteBuffer name)`
`static int`
`glGetProgramResourceLocation(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceLocation.
`static int`
`glGetProgramResourceLocation(int program, int programInterface, ByteBuffer name)`
`static int`
`glGetProgramResourceLocationIndex(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceLocationIndex.
`static int`
`glGetProgramResourceLocationIndex(int program, int programInterface, ByteBuffer name)`
`static String`
`glGetProgramResourceName(int program, int programInterface, int index, int bufSize)`
Overloads glGetProgramResourceName.
`static void`
`glGetProgramResourceName(int program, int programInterface, int index, IntBuffer length, ByteBuffer name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_UNIFORM

public static final int GL_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK

public static final int GL_UNIFORM_BLOCK
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_PROGRAM_INPUT

public static final int GL_PROGRAM_INPUT
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_PROGRAM_OUTPUT

public static final int GL_PROGRAM_OUTPUT
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_BUFFER_VARIABLE

public static final int GL_BUFFER_VARIABLE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BLOCK

public static final int GL_SHADER_STORAGE_BLOCK
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_VERTEX_SUBROUTINE

public static final int GL_VERTEX_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SUBROUTINE

public static final int GL_TESS_CONTROL_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SUBROUTINE

public static final int GL_TESS_EVALUATION_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SUBROUTINE

public static final int GL_GEOMETRY_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SUBROUTINE

public static final int GL_FRAGMENT_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_COMPUTE_SUBROUTINE

public static final int GL_COMPUTE_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_VERTEX_SUBROUTINE_UNIFORM

public static final int GL_VERTEX_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SUBROUTINE_UNIFORM

public static final int GL_TESS_CONTROL_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SUBROUTINE_UNIFORM

public static final int GL_TESS_EVALUATION_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SUBROUTINE_UNIFORM

public static final int GL_GEOMETRY_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SUBROUTINE_UNIFORM

public static final int GL_FRAGMENT_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_COMPUTE_SUBROUTINE_UNIFORM

public static final int GL_COMPUTE_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING

public static final int GL_TRANSFORM_FEEDBACK_VARYING
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_ACTIVE_RESOURCES

public static final int GL_ACTIVE_RESOURCES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NAME_LENGTH

public static final int GL_MAX_NAME_LENGTH
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NUM_ACTIVE_VARIABLES

public static final int GL_MAX_NUM_ACTIVE_VARIABLES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NUM_COMPATIBLE_SUBROUTINES

public static final int GL_MAX_NUM_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_NAME_LENGTH

public static final int GL_NAME_LENGTH
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TYPE

public static final int GL_TYPE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ARRAY_SIZE

public static final int GL_ARRAY_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_OFFSET

public static final int GL_OFFSET
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BLOCK_INDEX

public static final int GL_BLOCK_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ARRAY_STRIDE

public static final int GL_ARRAY_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_MATRIX_STRIDE

public static final int GL_MATRIX_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_IS_ROW_MAJOR

public static final int GL_IS_ROW_MAJOR
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_INDEX

public static final int GL_ATOMIC_COUNTER_BUFFER_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BUFFER_BINDING

public static final int GL_BUFFER_BINDING
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BUFFER_DATA_SIZE

public static final int GL_BUFFER_DATA_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_NUM_ACTIVE_VARIABLES

public static final int GL_NUM_ACTIVE_VARIABLES
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_VARIABLES

public static final int GL_ACTIVE_VARIABLES
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_VERTEX_SHADER

public static final int GL_REFERENCED_BY_VERTEX_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_GEOMETRY_SHADER

public static final int GL_REFERENCED_BY_GEOMETRY_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_FRAGMENT_SHADER

public static final int GL_REFERENCED_BY_FRAGMENT_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_REFERENCED_BY_COMPUTE_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TOP_LEVEL_ARRAY_SIZE

public static final int GL_TOP_LEVEL_ARRAY_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TOP_LEVEL_ARRAY_STRIDE

public static final int GL_TOP_LEVEL_ARRAY_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_LOCATION

public static final int GL_LOCATION
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_LOCATION_INDEX

public static final int GL_LOCATION_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_IS_PER_PATCH

public static final int GL_IS_PER_PATCH
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

## Method Details

### glGetProgramInterface

public static void glGetProgramInterface(int program, int programInterface, int pname, IntBuffer params)

### glGetProgramInterfacei

public static int glGetProgramInterfacei(int program, int programInterface, int pname)
Overloads glGetProgramInterfaceiv.

### glGetProgramResourceIndex

public static int glGetProgramResourceIndex(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceIndex

public static int glGetProgramResourceIndex(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceIndex.

### glGetProgramResourceName

public static void glGetProgramResourceName(int program, int programInterface, int index, IntBuffer length, ByteBuffer name)

### glGetProgramResourceName

public static String glGetProgramResourceName(int program, int programInterface, int index, int bufSize)
Overloads glGetProgramResourceName.

### glGetProgramResource

public static void glGetProgramResource(int program, int programInterface, int index, IntBuffer props, IntBuffer length, IntBuffer params)

### glGetProgramResourceLocation

public static int glGetProgramResourceLocation(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceLocation

public static int glGetProgramResourceLocation(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceLocation.

### glGetProgramResourceLocationIndex

public static int glGetProgramResourceLocationIndex(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceLocationIndex

public static int glGetProgramResourceLocationIndex(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceLocationIndex.